import type { LucideIconName } from '$lib/types/data';
import type { Component } from 'svelte';

export const iconComponentMapping: Partial<
	/* eslint-disable-next-line @typescript-eslint/no-explicit-any */
	Record<LucideIconName, Promise<{ default: Component<any> }>>
> = {
	Languages: import('@lucide/svelte/icons/languages'),
	CodeXml: import('@lucide/svelte/icons/code-xml'),
	Cpu: import('@lucide/svelte/icons/cpu'),
	Layers: import('@lucide/svelte/icons/layers'),
	Database: import('@lucide/svelte/icons/database'),
	LayoutTemplate: import('@lucide/svelte/icons/layout-template'),
	TestTubes: import('@lucide/svelte/icons/test-tubes'),
	ShieldCheck: import('@lucide/svelte/icons/shield-check'),
	Wrench: import('@lucide/svelte/icons/wrench'),
	FileBracesCorner: import('@lucide/svelte/icons/file-braces-corner'),
	ClipboardCheck: import('@lucide/svelte/icons/clipboard-check'),
	Sparkles: import('@lucide/svelte/icons/sparkles')
};
